Bug 275244 - add new button to chat window
Summary: add new button to chat window
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: openSUSE RPMs Linux
: NOR wishlist
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-09 00:39 UTC by Alin M Elena
Modified: 2012-07-06 12:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin M Elena 2011-06-09 00:39:33 UTC
Version:           git-latest (using Devel) 
OS:                Linux

add new button to chat window\
* start a audio call
* start a video call
* start a file transfer
* conference invite?

Reproducible: Didn't try




OS: Linux (x86_64) release 2.6.39-2-desktop
Compiler: gcc
Comment 1 Francesco Nwokeka 2011-06-16 14:43:20 UTC
Git commit b7b16edf018aef27e7d7e8d31ae9f7765f56c4d8 by Francesco Nwokeka.
Committed on 16/06/2011 at 14:40.
Pushed by nwokeka into branch 'master'.

Part 2of3 - ADD new action buttons to chat handler

Buttons are now connected apart from the "inviteToChat" which still needs working on (seperate
patch. Involves group chats)
ADD: plasma notifications for errors

REVIEW: 101622
BUG: 275244
Reviewed By: David Edmundson

M  +1    -0    app/CMakeLists.txt     
M  +108  -3    app/chat-window.cpp     
M  +40   -10   app/chat-window.h     
A  +53   -0    app/telepathy-kde-text-ui.notifyrc     

http://commits.kde.org/telepathy-chat-handler/b7b16edf018aef27e7d7e8d31ae9f7765f56c4d8